~alpine/aports

2 2

[alpine-aports] skarnet.org packages

John Regan
Details
Message ID
<1424893422-15056-1-git-send-email-john@jrjrtech.com>
Sender timestamp
1424893421
DKIM signature
missing
Download raw message
Hi all -

I've taken a crack at packaging software from http://skarnet.org/software/ :

 * skalibs
 * execline
 * s6
 * s6-portable-utils
 * s6-linux-utils
 * s6-dns
 * s6-networking

s6 is the notable package. It's a process supervisor similar to runit, I've taken
to using it in my own projects. It's really useful in container environments, where
you just want a small and simple supervisor to watch a few services.

-John




---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH] testing/skalibs: new aport

John Regan
Details
Message ID
<1424893422-15056-2-git-send-email-john@jrjrtech.com>
In-Reply-To
<1424893422-15056-1-git-send-email-john@jrjrtech.com> (view parent)
Sender timestamp
1424893422
DKIM signature
missing
Download raw message
Patch: +51 -0
---
 testing/skalibs/APKBUILD | 51 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)
 create mode 100644 testing/skalibs/APKBUILD

diff --git a/testing/skalibs/APKBUILD b/testing/skalibs/APKBUILD
new file mode 100644
index 0000000..e83d77e
--- /dev/null
+++ b/testing/skalibs/APKBUILD
@@ -0,0 +1,51 @@
+# Contributor: John Regan <john@jrjrtech.com>
+# Maintainer: John Regan <john@jrjrtech.com>
+pkgname=skalibs
+pkgver=2.3.1.0
+pkgrel=0
+pkgdesc="A set of general-purpose C programming libraries for skarnet.org software."
+url="http://skarnet.org/software/skalibs/"
+arch="all"
+license="ISC"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--enable-shared \
+		--enable-static \
+		--prefix=/usr \
+		--libdir=/usr/lib \
+		--datadir=/etc \
+		--enable-force-devr \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="3d98ef7518b5e79dcf792100a32634d9  skalibs-2.3.0.0.tar.gz"
+sha256sums="43191cce81ee8849907d3e9114826f22a6a82f5790e21205351f2b69f34d66fa  skalibs-2.3.0.0.tar.gz"
+sha512sums="b516b51a5bfb0d059ee2f78c6f239e6179389ea087ba492cf0ee72982a1461a38640b37cfe552049fcbcf815c1a26d4f0425f63bb186a16c936a165c7a9d9358  skalibs-2.3.0.0.tar.gz"
-- 
2.2.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Leonardo Arena
Details
Message ID
<1424938960.7419.22.camel@df1844j>
In-Reply-To
<1424893422-15056-1-git-send-email-john@jrjrtech.com> (view parent)
Sender timestamp
1424938960
DKIM signature
missing
Download raw message
On mer, 2015-02-25 at 14:43 -0500, John Regan wrote:
> Hi all -
> 
> I've taken a crack at packaging software from http://skarnet.org/software/ :
> 
>  * skalibs
>  * execline
>  * s6
>  * s6-portable-utils
>  * s6-linux-utils
>  * s6-dns
>  * s6-networking
> 
> s6 is the notable package. It's a process supervisor similar to runit, I've taken
> to using it in my own projects. It's really useful in container environments, where
> you just want a small and simple supervisor to watch a few services.
> 


Hi,
all patches have been applied with the exception of s6-linux-utils which
fails to build:

http://bld1.alpinelinux.org/buildlogs/build-edge-x86/testing/s6-linux-utils/s6-linux-utils-2.0.0.1-r0.log

Could you please send over an updated patch?

Also few of them had missing checksums:

http://git.alpinelinux.org/cgit/aports/commit/?id=21e3c7005f13f1c679a764b410af28b0a7bd4157

Thanks!

- leo